zlib missing

为当前最终发行版之前的所有版本提供支持
回复
rongyihit
帖子: 3
注册时间: 2011-04-13 22:34
送出感谢: 0
接收感谢: 0

zlib missing

#1

帖子 rongyihit » 2011-04-13 22:44

大家好,请教一个问题,我想用编译源代码的方式安装openssh,但是在进行到./configure这一步时,控制台输出“zlib missing - please install first”。事实上,zlib已经在我安装系统的时候安装了,而且我用“apt-get install openssh”安装openssh可以成功。那为什么编译源码的时候会出现这种错误呢?应该如何解决呢?还有就是apt-get安装和编译源码安装有什么不同吗,请高人指点,谢谢!
头像
lotutu
帖子: 730
注册时间: 2010-12-23 16:29
来自: 北京
送出感谢: 8 次
接收感谢: 8 次

Re: zlib missing

#2

帖子 lotutu » 2011-04-14 13:08

可能是zlib没安装正确吧,apt-get 安装的是二进制的文件,没有gcc都能安装上的。
试试 $sudo aptitude build-dep openssh
build-dep代表编译时依赖
rongyihit
帖子: 3
注册时间: 2011-04-13 22:34
送出感谢: 0
接收感谢: 0

Re: zlib missing

#3

帖子 rongyihit » 2011-04-14 14:24

lotutu 写了:可能是zlib没安装正确吧,apt-get 安装的是二进制的文件,没有gcc都能安装上的。
试试 $sudo aptitude build-dep openssh
build-dep代表编译时依赖
好的,我试试,谢谢! :em01
回复

回到 “老旧版本支持”